import React, { Fragment } from 'react';
import { Gutter } from '../Gutter/index.js';
import { RenderTitle } from '../RenderTitle/index.js';
import { DocumentTabs } from './Tabs/index.js';
const baseClass = `doc-header`;
export const DocumentHeader = (props)=>{
    const { collectionConfig, config, customHeader, globalConfig, hideTabs, i18n, permissions } = props;
    return /*#__PURE__*/ React.createElement(Gutter, {
        className: baseClass
    }, customHeader && customHeader, !customHeader && /*#__PURE__*/ React.createElement(Fragment, null, /*#__PURE__*/ React.createElement(RenderTitle, {
        className: `${baseClass}__title`
    }), !hideTabs && /*#__PURE__*/ React.createElement(DocumentTabs, {
        collectionConfig: collectionConfig,
        config: config,
        globalConfig: globalConfig,
        i18n: i18n,
        permissions: permissions
    })));
};

//# sourceMappingURL=index.js.map