import { getTranslation } from '@payloadcms/translations';
import React from 'react';
import { Chevron } from '../../../icons/Chevron/index.js';
import { useLocale } from '../../../providers/Locale/index.js';
import { useTranslation } from '../../../providers/Translation/index.js';
const baseClass = 'localizer-button';
export const LocalizerLabel = (props)=>{
    const { ariaLabel, className } = props;
    const locale = useLocale();
    const { i18n, t } = useTranslation();
    return /*#__PURE__*/ React.createElement("div", {
        "aria-label": ariaLabel || t('general:locale'),
        className: [
            baseClass,
            className
        ].filter(Boolean).join(' ')
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__label`
    }, `${t('general:locale')}:`), "  ", /*#__PURE__*/ React.createElement("span", {
        className: `${baseClass}__current-label`
    }, `${getTranslation(locale.label, i18n)}`), " ", /*#__PURE__*/ React.createElement(Chevron, {
        className: `${baseClass}__chevron`
    }));
};

//# sourceMappingURL=index.js.map