'use client';
import React, { useRef } from 'react';
import { useForm, useFormModified } from '../../forms/Form/context.js';
import { FormSubmit } from '../../forms/Submit/index.js';
import { useHotkey } from '../../hooks/useHotkey.js';
import { useEditDepth } from '../../providers/EditDepth/index.js';
import { useOperation } from '../../providers/Operation/index.js';
import { useTranslation } from '../../providers/Translation/index.js';
export const DefaultSaveButton = ({ label: labelProp })=>{
    const { t } = useTranslation();
    const { submit } = useForm();
    const modified = useFormModified();
    const label = labelProp || t('general:save');
    const ref = useRef(null);
    const editDepth = useEditDepth();
    const operation = useOperation();
    const forceDisable = operation === 'update' && !modified;
    useHotkey({
        cmdCtrlKey: true,
        editDepth,
        keyCodes: [
            's'
        ]
    }, (e)=>{
        if (forceDisable) return;
        e.preventDefault();
        e.stopPropagation();
        if (ref?.current) {
            ref.current.click();
        }
    });
    return /*#__PURE__*/ React.createElement(FormSubmit, {
        buttonId: "action-save",
        disabled: forceDisable,
        onClick: ()=>submit(),
        ref: ref,
        size: "small",
        type: "button"
    }, label);
};
export const Save = ({ CustomComponent })=>{
    if (CustomComponent) return CustomComponent;
    return /*#__PURE__*/ React.createElement(DefaultSaveButton, null);
};

//# sourceMappingURL=index.js.map