'use client';
import React from 'react';
const TableCellContext = /*#__PURE__*/ React.createContext({});
export const TableCellProvider = (props)=>{
    const { cellData, cellProps, children, columnIndex, customCellContext, richTextComponentMap, rowData } = props;
    const contextToInherit = useTableCell();
    return /*#__PURE__*/ React.createElement(TableCellContext.Provider, {
        value: {
            cellData,
            cellProps,
            columnIndex,
            customCellContext,
            rowData,
            ...contextToInherit,
            richTextComponentMap
        }
    }, children);
};
export const useTableCell = ()=>{
    const cell = React.useContext(TableCellContext);
    return cell;
};

//# sourceMappingURL=index.js.map