'use client';
import { getTranslation } from '@payloadcms/translations';
import React from 'react';
import { useTranslation } from '../../providers/Translation/index.js';
import { generateFieldID } from '../../utilities/generateFieldID.js';
import { useFieldProps } from '../FieldPropsProvider/index.js';
import { useForm } from '../Form/context.js';
const DefaultFieldLabel = (props)=>{
    const { as: Element = 'label', htmlFor: htmlForFromProps, label: labelFromProps, required = false, unstyled = false } = props;
    const { uuid } = useForm();
    const { path } = useFieldProps();
    const htmlFor = htmlForFromProps || generateFieldID(path, uuid);
    const { i18n } = useTranslation();
    if (labelFromProps) {
        return /*#__PURE__*/ React.createElement(Element, {
            className: `field-label ${unstyled ? 'unstyled' : ''}`,
            htmlFor: htmlFor
        }, getTranslation(labelFromProps, i18n), required && !unstyled && /*#__PURE__*/ React.createElement("span", {
            className: "required"
        }, "*"));
    }
    return null;
};
export const FieldLabel = (props)=>{
    const { CustomLabel } = props;
    if (CustomLabel !== undefined) {
        return CustomLabel;
    }
    return /*#__PURE__*/ React.createElement(DefaultFieldLabel, props);
};

//# sourceMappingURL=index.js.map